[package]
name = "query-server"
version = "0.1.0"
edition = "2021"

[dependencies]
axum = "0.8"
tokio = { version = "1", features = ["full"] }
tokio-stream = "0.1"
memmap2 = "0.9"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
s2 = "0.0.13"
rustls-acme = { version = "0.14", features = ["axum"] }
axum-server = "0.7"
bcrypt = "0.15"
getrandom = "0.2"

[profile.release]
opt-level = 3
lto = true
